/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __PLUGIN_H__
#define __PLUGIN_H__

//Plugin-specific includes
#include <taglib/tag.h>
#include <taglib/fileref.h>
#include <qstring.h>
#include <qstringlist.h>

//extern "C" void initPlugin() {};
//extern "C" void deletePlugin() {};

extern "C" QString getFileInfo(QString filename);
extern "C" QString getName();
extern "C" QString getDesc();
extern "C" QString getSupportedTypes();
extern "C" QString getAuthor();

#endif //__PLUGIN_H__
