/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __INPUTDIALOG_H__
#define __INPUTDIALOG_H__

#include "settings.h"
#include <qpixmap.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmessagebox.h>
#include "InputDialogBase.h"

class InputDialog : public InputDialogBase
{
    Q_OBJECT
public:
    InputDialog( QString* input_, 
                 QString caption_, 
                 QString text_, 
                 QString iconName_, 
                 bool pass_ = true, 
                 QWidget* parent = 0,
                 WFlags fl = 0 );
    ~InputDialog() {};

private:
    QString* input;
    QString caption;
    bool pass;

public slots:
    void okayClicked();
    void cancelClicked();
};


#endif // __INPUTDIALOG_H__
