/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __SETTINGS_H__
#define __SETTINGS_H__

/**
@author Florian Zubeil
 */

///Define the empty macros if compiling without ACE

#if defined (NO_ACE)
    #define ACE_ERROR_RETURN(X, Y) return (Y)
    #define ACE_ERROR(X) do {} while (0)
    #define ACE_DEBUG(X) do {} while (0)
#else
    #include "ace/Log_Msg.h"
#endif // NO_ACE




#define RTTI_DIRVIEWITEM        1
#define RTTI_FILEVIEWITEM       2
#define RTTI_PLUGINCHECKITEM    3



#endif // __SETTINGS_H__
