/***************************************************************************
 *   Copyright (C) 2005 by Florian Zubeil   *
 *   daswrack@oleco.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __XMLIO_H__
#define __XMLIO_H__

#include <fstream>

#include <qlistview.h>
#include <qstring.h>
#include <qtextstream.h>
#include <qdom.h>
#include "settings.h"

#include "DirItem.h"
#include "FileItem.h"
#include "DirViewItem.h"

#include "aes.h"
#include "aeslib.h"

class XmlIo : public QObject
{
public:
    XmlIo( QListView* view_, QString filename_, QString pass_ );
    ~XmlIo();
    int save( QString as = QString::null, QString pass_ = QString::null );
    int load();
private:
    QListView* view;
    QString filename;
    QString pass;
    QString stdBuf;
};


#endif //__XMLIO_H__
